Subject: Re: [Patch net-next v9 00/11] vxlan: add ipv6 support

From: Cong Wang <[email-masked]>
Date: Mon, 27 May 2013 18:54:48 +0800

On Mon, 2013-05-27 at 02:30 -0700, David Miller wrote:
> From: Bjørn Mork <[email-masked]>
> Date: Mon, 27 May 2013 10:57:04 +0200
> 
> > Bjørn Mork <[email-masked]> writes:
> > 
> >> I see that you don't bother listen to advice.
> >>
> >>  ERROR: "nd_tbl" [drivers/net/vxlan.ko] undefined!
> > 
> > 
> > And building with CONFIG_IPV6=m is even more fun:
> > 
> > ERROR: "in6addr_linklocal_allnodes" [net/ipv6/ipv6.ko] undefined!
> > ERROR: "in6addr_interfacelocal_allrouters" [net/ipv6/ipv6.ko] undefined!
> > ERROR: "in6addr_interfacelocal_allnodes" [net/ipv6/ipv6.ko] undefined!
> > ERROR: "in6addr_linklocal_allrouters" [net/ipv6/ipv6.ko] undefined!
> > ERROR: "in6addr_sitelocal_allrouters" [net/ipv6/ipv6.ko] undefined!
> > ERROR: "in6addr_any" [net/ipv6/ipv6.ko] undefined!
> > ERROR: "nd_tbl" [drivers/net/vxlan.ko] undefined!
> > 
> > 
> > Nice...
> 
> Cong, this is getting utterly rediculous.
> 
> And you had the nerve to complain when we were unwilling to merge this
> not-ready garbage into 3.10?!?!  Are you kidding me?
> 

Weird, I _did_ test with IPV6=m, and below is my .config, in case you
don't trust me. :) Another evidence is I already reported some netfilter
compile error [1], just nobody cares!!!

Bjørn, please send me your .config.

BTW, I am wondering why none of you even care about netfilter compile
errors when IPV6=m?

Thanks!

1. http://marc.info/?l=netfilter-devel&m=136849956816787&w=2